from setuptools import setup, find_packages

setup(
    name="samxode_ip",
    version="0.1.1",
    author="Samxode",
    author_email="samxode.sx@gmail.com",
    description="Samxode Watermark ASCII effect for Python scripts",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://x.com/sam_xode",
    packages=find_packages(),
    install_requires=[
        "pyfiglet",
        "colorama"
    ],
    entry_points={
        "console_scripts": [
            "samxode = samxode.watermark:color_change_effect"
        ]
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
